> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory Operation Status

> Get the status of an inventory operation using an OperationToken. You can check on the operation status at anytime within 1 day of the request by passing the TransactionToken to the this API.

Allowed entity token types: title, master_player_account, title_player_account



## OpenAPI

````yaml /services/playfab/api-references/rest/economy/economy.openapi.json post /Inventory/GetInventoryOperationStatus
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Economy API
  description: >-
    API methods for managing the catalog. Inventory manages in-game assets for
    any given entity. API methods for managing the versioned catalogs.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Catalog
    description: |-
      Catalog Management APIs. In general for Catalog APIs, 
                          Read APIs are limited to 100 requests in 60 seconds 
                          for Player Entities while Title Entities are limited to 10000 requests
                          in 10 seconds. For Write APIs, Player Entities are limited to 10 requests 
                          in 30 seconds and Title Entities are limited to 1000 requests in 10 seconds.
  - name: Inventory
    description: |-
      Player Inventory Management APIs. Inventory operations work on an 
                          eventually consistent system against a cache of the Catalog. It can take a few moments for 
                          changes to propagate. In general for Inventory APIs, Read APIs are limited to 100 requests 
                          in 60 seconds for Player Entities while Title Entities are limited to 10000 requests
                          in 10 seconds. For Write APIs, Player Entities are limited to 30 requests 
                          in 90 seconds and Title Entities are limited to 1000 requests in 10 seconds.
  - name: VersionedCatalog
    description: ''
paths:
  /Inventory/GetInventoryOperationStatus:
    post:
      tags:
        - Inventory
      summary: Get Inventory Operation Status
      description: >-
        Get the status of an inventory operation using an OperationToken. You
        can check on the operation status at anytime within 1 day of the request
        by passing the TransactionToken to the this API.


        Allowed entity token types: title, master_player_account,
        title_player_account
      operationId: GetInventoryOperationStatus
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetInventoryOperationStatusRequest'
        description: Get the status of an Inventory Operation using an OperationToken.
      responses:
        '200':
          $ref: '#/components/responses/GetInventoryOperationStatusResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetInventoryOperationStatusRequest:
      description: Get the status of an Inventory Operation using an OperationToken.
      type: object
      properties:
        CollectionId:
          description: >-
            The id of the entity's collection to perform this action on.
            (Default="default")
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: The entity to perform this action on.
        OperationToken:
          description: The token to get the status of the inventory operation.
          type: string
      example:
        OperationToken: token
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    GetInventoryOperationStatusResponse:
      type: object
      properties:
        OperationStatus:
          description: The inventory operation status.
          type: string
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetInventoryOperationStatusResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetInventoryOperationStatusResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Inventory Operation Status](/services/playfab/api-references/rest/economy/inventory/get-inventory-operation-status.md)
- [PFInventoryGetInventoryOperationStatusRequest](/services/playfab/api-references/c/pfinventorytypes/structs/pfinventorygetinventoryoperationstatusrequest.md)
- [PFInventoryGetInventoryOperationStatusAsync](/services/playfab/api-references/c/pfinventory/functions/pfinventorygetinventoryoperationstatusasync.md)
- [PFInventoryGetInventoryOperationStatusResponse](/services/playfab/api-references/c/pfinventorytypes/structs/pfinventorygetinventoryoperationstatusresponse.md)
- [PFInventoryGetInventoryOperationStatusGetResult](/services/playfab/api-references/c/pfinventory/functions/pfinventorygetinventoryoperationstatusgetresult.md)
